Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453160 - snow on LCD screen using F9/DVI, driver independent?
Summary: snow on LCD screen using F9/DVI, driver independent?
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 9
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 16:15 UTC by Michael DeHaan
Modified: 2018-04-11 07:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 12:51:25 UTC


Attachments (Terms of Use)
This is my /etc/X11/xorg.conf file, montor freq/resolutions don't seem to affect the problem (deleted)
2008-06-27 16:15 UTC, Michael DeHaan
no flags Details
Xorg.0.log (deleted)
2008-06-27 16:42 UTC, Michael DeHaan
no flags Details
Xorg.1.log (deleted)
2008-06-27 16:42 UTC, Michael DeHaan
no flags Details
Xorg.2.log (deleted)
2008-06-27 16:43 UTC, Michael DeHaan
no flags Details
Xorg.3.log (deleted)
2008-06-27 16:43 UTC, Michael DeHaan
no flags Details
Xorg.4.log (deleted)
2008-06-27 16:43 UTC, Michael DeHaan
no flags Details
Xorg.5.log (deleted)
2008-06-27 16:44 UTC, Michael DeHaan
no flags Details
This is Xorg.0.log from the attempt after deleting xorg.conf (deleted)
2008-06-27 16:48 UTC, Michael DeHaan
no flags Details

Description Michael DeHaan 2008-06-27 16:15:24 UTC
Description of problem:

I recently reinstalled my F8 laptop (IBM T42 with ATI Radeon Mobility) card to
F9.  F8 worked great, and now I'm seeing some snow on the LCD with F9.  The
machine is connected via DVI using the docking station to a Sceptre X20G monitor.

When using kernel  2.6.25-14.fc9.i686 and coming back from
screensaver/monitor-power-off, I frequently get random snow-like-artifacts
displayed on the screen.  If switching to kernel 2.6.25.6-55 the snow occurs
immediately after starting X and is more pronounced.

This happens regardless of whether I choose the "ati", "radeon", or "radeonhd"
video driver, so I'm wondering if this is not driver related.  I can't tell but
can provide more info as needed.  

Version-Release number of selected component (if applicable):

[root@localhost cobbler]# rpm -q xorg-x11-server
package xorg-x11-server is not installed
[root@localhost cobbler]# rpm -q xorg-x11-drv-ati
xorg-x11-drv-ati-6.8.0-14.fc9.i386
[root@localhost cobbler]# rpm -q xorg-x11-drv-radeonhd
xorg-x11-drv-radeonhd-1.2.1-1.1.20080429git.fc9.i386
[root@localhost cobbler]# rpm -q xorg-x11-server-common
xorg-x11-server-common-1.4.99.902-3.20080612.fc9.i386


How reproducible:

Very

Steps to Reproduce:
1.   Install 2.6.25.6-55 with monitor/driver combination above, or use
previously mentioned kernel and come back from screen-saver/power-off 
2.   Start X
3.   Watch snow
  
Actual results:

Light flurries

Expected results:

No snow

Additional info:

/sbin/lspci

01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X300]

Attached xorg.conf (tried with both "ati" and "radeon" as drivers)

Comment 1 Michael DeHaan 2008-06-27 16:15:24 UTC
Created attachment 310453 [details]
This is my /etc/X11/xorg.conf file, montor freq/resolutions don't seem to affect the problem

Comment 2 Matěj Cepl 2008-06-27 16:33:36 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Michael DeHaan 2008-06-27 16:42:24 UTC
Created attachment 310454 [details]
Xorg.0.log

Comment 4 Michael DeHaan 2008-06-27 16:42:48 UTC
Created attachment 310455 [details]
Xorg.1.log

Comment 5 Michael DeHaan 2008-06-27 16:43:09 UTC
Created attachment 310456 [details]
Xorg.2.log

Comment 6 Michael DeHaan 2008-06-27 16:43:28 UTC
Created attachment 310457 [details]
Xorg.3.log

Comment 7 Michael DeHaan 2008-06-27 16:43:47 UTC
Created attachment 310458 [details]
Xorg.4.log

Comment 8 Michael DeHaan 2008-06-27 16:44:05 UTC
Created attachment 310459 [details]
Xorg.5.log

Comment 9 Michael DeHaan 2008-06-27 16:44:44 UTC
Now testing without Xorg.conf, will attach next.

Comment 10 Michael DeHaan 2008-06-27 16:48:00 UTC
Process attempted:

mv /etc/X11/xorg.conf aside
Restart X (Ctrl+Alt+Backspace)
Power cycle the monitor
Observe snow

Now attaching logs.

Note that the process above is a quicker way to reproduce this, the screen saver
has nothing to do with it, power cycling the monitor is all that is needed.



Comment 11 Michael DeHaan 2008-06-27 16:48:33 UTC
Created attachment 310460 [details]
This is Xorg.0.log from the attempt after deleting xorg.conf

Comment 12 Michael DeHaan 2008-06-27 16:50:13 UTC
As an interesting note, power cycling the monitor again can sometimes make the
snow go away.



Comment 13 Jóhann B. Guðmundsson 2008-12-01 11:08:34 UTC
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.

Comment 14 Michael DeHaan 2008-12-02 20:19:21 UTC
The bug was marked needinfo asking if the problem was driver independent.  If you read the defect, it says it is, yes.  

"This happens regardless of whether I choose the "ati", "radeon", or "radeonhd"
video driver, so I'm wondering if this is not driver related.  I can't tell but
can provide more info as needed."

(If anyone in Raleigh wants to borrow the monitor I'd be more than happy to let them play with it for a week)

Comment 15 Michael DeHaan 2008-12-02 20:20:34 UTC
Didn't see johann's comment earlier, I'll try this on F10 + aforementioned updates shortly.

Comment 16 François Cami 2009-02-20 19:30:56 UTC
Michael,

Could you try the vesa driver as well ?

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 17 Matěj Cepl 2009-05-18 11:51:59 UTC
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 18 Michael DeHaan 2009-05-18 12:30:47 UTC
I have sense replaced both the computer and the monitor, so I don't have this configuration to test anymore -- though I believe I tested at the time and it did not help.   However, I really can't be sure.  I'm ok with closing this if you can't reproduce it.

Comment 19 Matěj Cepl 2009-05-18 12:51:25 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.